#ifndef Slash_UI_IInterpreter_h
#define Slash_UI_IInterpreter_h

#include <string>

namespace Slash {

namespace UI {

class IInterpreter {
public:
  virtual ~IInterpreter() {};
public:
  typedef bool (*Function)(const std::string&,void*);
public:
  virtual std::string name() const = 0;
  virtual std::string package() const = 0;
  virtual std::string suffix() const = 0;
  virtual std::string execFileCommand() const = 0;
  virtual void setFunction(Function,void*) = 0;
  virtual Function function(void*&) const = 0;
  virtual bool executeScript(const std::string&) = 0;
  virtual bool isOperational() = 0;
  virtual bool load(bool quiet = false) = 0;
};

} //UI

} //Slash

#endif
